# Class CIM_PacketSchedulingService
extends CIM_ConditioningService

This class represents the scheduling service, which is a process that determines whether a queued packet should be removed from a queue and sent to an output interface. Note that output interfaces can be physical network interfaces or interfaces to components internal to systems, such as crossbars or backplanes. In either case, if multiple queues are involved, schedulers are used to provide access to the interface. Each instance of a PacketSchedulingService describes a scheduler from the perspective of the queues that the scheduler is servicing. One can describe that different schedulers support different queues, or that a scheduler supports several queues. PacketSchedulingService is modeled as a ConditioningService so that it can be aggregated into a QoSService (using the QoSConditioningSubService association) to indicate that its functionality underlies that QoS service. It participates in the NextService association to identify a subsequent ConditioningService, if any, that acts on traffic after it has been processed by the scheduler.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_ConditioningService
|
+--CIM_PacketSchedulingService

## Direct Known Subclasses

CIM_NonWorkConservingSchedulingService

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

This class represents the scheduling service, which is a process that determines whether a queued packet should be removed from a queue and sent to an output interface. Note that output interfaces can be physical network interfaces or interfaces to components internal to systems, such as crossbars or backplanes. In either case, if multiple queues are involved, schedulers are used to provide access to the interface. Each instance of a PacketSchedulingService describes a scheduler from the perspective of the queues that the scheduler is servicing. One can describe that different schedulers support different queues, or that a scheduler supports several queues. PacketSchedulingService is modeled as a ConditioningService so that it can be aggregated into a QoSService (using the QoSConditioningSubService association) to indicate that its functionality underlies that QoS service. It participates in the NextService association to identify a subsequent ConditioningService, if any, that acts on traffic after it has been processed by the scheduler.

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
OtherSchedulerType | string |
Description | string | This string property is used in conjunction with the SchedulerType property. When the value of SchedulerType is 1 (i.e., "Other"), then the type of scheduler to be used is defined in this attribute.
ModelCorrespondence | string | CIM_PacketSchedulingService.SchedulerType
SchedulerType | uint16 |
Description | string | This property is an enumerated 16-bit unsigned integer, and defines the type of scheduler. Values are: 1: Other 2: FIFO 3: Priority 4: Allocation 5: Bounded Priority 6: Weighted Round Robin Packet If no value is specified, 2 ("FIFO") should be assumed.
ModelCorrespondence | string | CIM_PacketSchedulingService.OtherSchedulerType
ValueMap | string | 1, 2, 3, 4, 5, 6
Values | string | Other, FIFO, Priority, Allocation, Bounded Priority, Weighted Round Robin Packet

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
Enabled | boolean | CIM_ConditioningService
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service